# Generated by `rjournal_article()` using `knitr::purl()`: do not edit by hand
# Please edit penguins.Rmd to modify this file

## ----pkgs---------------------------------------------------------------------
library(tidyverse)
library(palmerpenguins)

# for tables
library(kableExtra)

# for plots
library(paletteer)
library(patchwork)
library(GGally)
library(shadowtext)
library(plotly)
library(ggiraph)
ggplot2::theme_set(ggplot2::theme_minimal())

# for modeling
library(recipes)
library(broom)








## ----overview-tbl-------------------------------------------------------------
overview <- tribble(
  ~Feature, ~iris, ~penguins,
  "Year(s) collected", "1935", "2007 - 2009",
  "Dimensions (col x row)", "5 x 150", "8 x 344",
  "Documentation", "minimal", "complete metadata",
  "Variable classes", "double (4), factor (1)", "double (2), int (3), factor (3)"
)


## ----overview-tbl-web---------------------------------------------------------
#> overview %>%
#>   tibble::add_row(Feature = "Missing values?",
#>                   iris = "no (*n* = 0; 0.0%)",
#>                   penguins = "yes (*n* = 19; 0.7%)") %>%
#>   kable(caption = "Overview comparison of **penguins** and **iris** dataset features and characteristics.",
#>         align = "lclccc") %>%
#>   kable_styling(full_width = TRUE)




## ----counts-tbl---------------------------------------------------------------
iris_counts <- iris %>% 
  count(Species) %>% 
  rename(`Iris species` = Species)

penguin_counts <- penguins %>% 
  mutate(species = as.character(species)) %>% 
  mutate(species = case_when(
    species == "Adelie" ~ "Adélie", 
    TRUE ~ species
  )) %>% 
  mutate(sex = str_to_title(sex)) %>% 
  group_by(species, sex) %>% 
  tally() %>% 
  pivot_wider(names_from = sex, values_from = n) %>% 
  replace_na(list(`NA` = 0)) %>% 
  as.data.frame() %>% 
  rename(`Penguin species` = species)

iris_penguin_n <- cbind(iris_counts, penguin_counts) %>%
   rename(`Sample size` = n)


## ----counts-tbl-web-----------------------------------------------------------
#> iris_penguin_n %>%
#>    kable(caption = "Grouped sample size for **iris** (by species; *n* = 150 total) and **penguins** (by *species* and *sex*; *n* = 344 total). Data in **penguins** can be further grouped by island and study year.",
#>          align = "lclccc") %>%
#>   add_header_above(c("**iris** sample size (by species)" = 2, "**penguins** sample size (by species and sex)" = 4 )) %>%
#>   kable_styling(full_width = TRUE)




## ----penguin-pairs, opts.label = 'fig.pdf'------------------------------------


## ----penguin-pairs-web, opts.label = c('penguin-pairs', 'fig.web')------------
ggplotly(penguin_pairs, tooltip = "text", height = 500)


## ----iris-pairs, opts.label = 'fig.pdf'---------------------------------------


## ----iris-pairs-web, opts.label = c('iris-pairs', 'fig.web')------------------
ggplotly(iris_pairs, tooltip = "text", height = 500)


## ----linear, opts.label = 'fig.pdf'-------------------------------------------


## ----linear-web, opts.label= c('linear', 'fig.web')---------------------------


## ----simpsons, opts.label='fig.pdf'-------------------------------------------


## ----simpsons-web, opts.label= c('simpsons', 'fig.web')-----------------------


## ----pca, opts.label='fig.pdf'------------------------------------------------


## ----pca-web, opts.label=c('pca', 'fig.web')----------------------------------


## ----kmeans, opts.label='fig.pdf'---------------------------------------------


## ----kmeans-web, opts.label=c('kmeans','fig.web')-----------------------------


## ----kmeans-tbl---------------------------------------------------------------
options(knitr.kable.NA = "0")

# Making cluster assignments table
kmeans_2var_table <- cbind(pb_clust_n, ip_clust_n) %>%
  kable(col.names = c("Cluster", "Adélie", "Chinstrap", "Gentoo", "Cluster", "setosa", "versicolor", "virginica"),
        caption = "K-means cluster assignments by species based on penguin bill length (mm) and depth (mm), and iris petal length (cm) and width (cm).",
        align = "cccccc",
        booktabs = TRUE) %>%
  kable_styling(full_width = FALSE) %>%
  add_header_above(c("Penguins cluster assignments" = 4, "Iris cluster assignments" = 4))

kmeans_2var_table


## -----------------------------------------------------------------------------
overview_penguins_raw <- tribble(
  ~Feature, ~penguins_raw,
  "Year(s) collected", "2007 - 2009",
  "Dimensions (col x row)", "17 x 344",
  "Documentation", "complete metadata",
  "Variable classes", "character (9), Date (1), numeric (7)",
  "Missing values?", "yes (n = 336; 5.7%)"
)

overview_penguins_raw %>% 
  kable(booktabs = TRUE)

